<form class="d-flex flex-column" [formGroup]="form">
    <div class="d-flex align-items-center" style="padding: 20px 20px 0;">

        <mat-button-toggle-group appearance="legacy" name="type" class="mr-3" [(value)]="emailSms" (valueChange)="onSelectionChange()" style="margin-top: -22px;">
            <mat-button-toggle value="Email">Email</mat-button-toggle>
            <mat-button-toggle value="Sms">Sms</mat-button-toggle>
        </mat-button-toggle-group>

        <mat-form-field appearance="outline" class="full-width ml-2">
            <mat-label>{{emailSms}} Campaign Name</mat-label>
            <input matInput formControlName="name" placeholder="{{emailSms}} Campaign Name" appCharLimit
                   [frmGroup]="form" fcName="name" [max]="100">
            <mat-error *ngIf="form.get('name').hasError('exceedLimit')">
                {{form.get('name').getError('exceedLimit')}}
            </mat-error>
            <mat-error *ngIf="form.get('name').hasError('required')">
                This field is required.
            </mat-error>
        </mat-form-field>

    </div>

    <app-campaign-send-email *ngIf="emailSms === 'Email'" [data]="campaign" [openFor]="openFor" (beforeSave)="beforeSave($event)" (afterSave)="afterSave($event)" (createList)="createList()"></app-campaign-send-email>
    <app-campaign-send-sms *ngIf="emailSms === 'Sms'" [data]="campaign" [openFor]="openFor" (beforeSave)="beforeSave($event)" (afterSave)="afterSave($event)" (createList)="createList()"></app-campaign-send-sms>
</form>
